Bug 1018449 - Does not provide devel components
Summary: Does not provide devel components
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: cuetools
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul P Komkoff Jr
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-10-12 07:08 UTC by Ankur Sinha (FranciscoD)
Modified: 2015-06-29 12:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 12:37:30 UTC
Type: Bug


Attachments (Terms of Use)
Patch with specfile fixes (2.18 KB, patch)
2013-10-12 07:20 UTC, Ankur Sinha (FranciscoD)
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1018544 None CLOSED Review Request: libcuefile - A stripped down version of cuetools 2019-02-12 14:55:34 UTC

Internal Links: 1018544

Description Ankur Sinha (FranciscoD) 2013-10-12 07:08:16 UTC
Description of problem:
The package does not provide development components: the shared object file, and the headers. 

Version-Release number of selected component (if applicable):
1.4.0-0.11.svn305


The package should provide developer components in a -devel sub package. It is required by other libraries, such as libmpc. Please fix the package. 

http://www.musepack.net/index.php?pg=src

The changelog says:
* Wed Mar 26 2008 Paul P. Komkoff Jr <i@stingr.net> - 1.4.0-0.2.svn305
- add COPYING and doc/formats.txt
- remove *.so

Why?

Thanks,
Warm regards,
Ankur

Comment 1 Ankur Sinha (FranciscoD) 2013-10-12 07:10:10 UTC
Can you also please comment the patches? Especially the bz2 patch that has been included.

Comment 2 Ankur Sinha (FranciscoD) 2013-10-12 07:20:13 UTC
Created attachment 811522 [details]
Patch with specfile fixes

Comment 3 Rex Dieter 2013-10-12 10:13:18 UTC
If upstream doesn't include devel components as part of the standard "make install", why are you advocating against that?

Comment 4 Rex Dieter 2013-10-12 10:13:57 UTC
ah, nevermind, needed by libmpc

Comment 5 Rex Dieter 2013-10-12 10:20:07 UTC
While you're at it, a format 1.4.0 release is available (at https://github.com/svend/cuetools/releases), so there's less need to continue carrying a snapshot.

Comment 6 Ankur Sinha (FranciscoD) 2013-10-13 00:54:05 UTC
(In reply to Rex Dieter from comment #3)
> If upstream doesn't include devel components as part of the standard "make
> install", why are you advocating against that?

Well, the make install step does install an unversioned soname that goes into the -devel subpackage. I'm assuming this is useless if the headers aren't installed too. Probably why the maintainer got rid of it in the first place.

(In reply to Rex Dieter from comment #4)
> ah, nevermind, needed by libmpc

I found out that musepack upstream keeps their own version of this library, as "libcuefile". I'm packing that up separately for musepack:
http://svn.musepack.net/libcuefile/


(In reply to Rex Dieter from comment #5)
> While you're at it, a format 1.4.0 release is available (at
> https://github.com/svend/cuetools/releases), so there's less need to
> continue carrying a snapshot.

I haven't tinkered with the sources since I don't know what the patches do. I'll look into if I have the time, but since I don't need this package for libmpc any more, it's not too high on my task list.

Thanks
Warm regards,
Ankur

Comment 7 Fedora End Of Life 2015-05-29 09:33:45 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2015-06-29 12:37:30 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.